Gallery Platform API
Reference

List an invoice's installments

Lists the planned installments (deposit + scheduled payments) on an invoice, in plan order.

GET
/gallery/invoices/{id}/payment-schedule

Lists the planned installments (deposit + scheduled payments) on an invoice, in plan order.

Authorization

bearerAuth payments:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: payments:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "invoice_id": "string",      "sequence": -9007199254740991,      "label": "string",      "amount_cents": -9007199254740991,      "due_date": "string",      "status": "scheduled",      "payment_id": "string",      "auto_charge_method_id": "string",      "auto_charge_attempted_at": "string",      "auto_charge_error": "string",      "reminder_sent_at": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}